Page MenuHomePhabricator

[Regression wmf.1] Search results appear in the drop down even after clearing the search term inside the link inspector
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:
1.Open the link inspector
2.Type some thing in the search pages text box
3.Delete it by pressing backspace

Observed Result:
The search text box gets red highlight around it but there are still some link suggestions appearing below it

Event Timeline

Ryasmeen created this task.Sep 29 2015, 8:59 PM
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2015, 8:59 PM
Catrope renamed this task from [Regression pre-wmf1]Search results appear in the drop down even after clearing the search term inside the link inspector to [Regression wmf1]Search results appear in the drop down even after clearing the search term inside the link inspector.Sep 29 2015, 9:00 PM
Catrope added a project: VisualEditor.
Catrope set Security to None.
Jdforrester-WMF renamed this task from [Regression wmf1]Search results appear in the drop down even after clearing the search term inside the link inspector to [Regression wmf.1] Search results appear in the drop down even after clearing the search term inside the link inspector.Sep 29 2015, 9:18 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF added a subscriber: Catrope.
DLynch added a subscriber: DLynch.Nov 10 2015, 11:11 PM

Reproduction note: I can only reproduce this by holding down backspace to delete, rather than repeatedly pressing it.

DLynch claimed this task.Nov 10 2015, 11:58 PM
DLynch added a subscriber: Esanders.

Change 252361 had a related patch set uploaded (by DLynch):
TitleSearchWidget: Only update results if the query is current

https://gerrit.wikimedia.org/r/252361

Change 252361 merged by jenkins-bot:
TitleSearchWidget: Only update results if the query is current

https://gerrit.wikimedia.org/r/252361

Jdforrester-WMF closed this task as Resolved.Nov 11 2015, 2:19 AM
Jdforrester-WMF removed a project: Patch-For-Review.